/*
	file: katagana.js
	modified last: 08-25-2012
	copyright: copyright 2009-2012 BigTime Interactive
	author: Volkhvy
	e-mail: volkhvy@stonedragonpress.com
	requires: browser.js
*/

	var flgRomaji = 0;
	var ndxChar = 0;
	var rayKatagana = new Array();
	var rayRomaji = new Array();

	function displayKatagana() {
		var strKatagana = "";
		var strRomaji = "";
		for (cnt1 = 0; cnt1 < ndxChar; cnt1++) {
			strKatagana += rayKatagana[cnt1];
			strRomaji += rayRomaji[cnt1];
		}
		if (flgIE5) { // IExplorer 5
			if (flgRomaji == 0) {
				document.idForm1.idText1.value = unescape(strKatagana);
			} else if (flgRomaji == 1) {
				document.idForm1.idText1.value = strKatagana;
			} else if (flgRomaji == 2) {
				document.idForm1.idText1.value = unescape(strRomaji);
			}
		} else if (flgIEID || flgMoz) { // IExplorer 6+ or Mozilla
			if (flgRomaji == 0) {
				document.idForm1.idText1.value = unescape(strKatagana);
			} else if (flgRomaji == 1) {
				var ray1 = strKatagana.split("%u");
				var str1 = "";
				for (cnt1 = 1; cnt1 < ray1.length; cnt1++) {
					if (ray1[cnt1] == "000a") {
						str1 += "\n";
					} else {
						str1 += "\&\#x" + ray1[cnt1] + ";";
					}
				}
				document.idForm1.idText1.value = str1;
			} else if (flgRomaji == 2) {
				document.idForm1.idText1.value = unescape(strRomaji);
			}
		}
	} // end of function

	function selectKana(strPhonetic, strUnicode1, strUnicode2) {
		var str1 = "";
		if (strPhonetic == "linefeed") {
			rayKatagana[ndxChar] =  "%u000a";
			rayRomaji[ndxChar] = "\n";
			ndxChar++;
		} else if (strPhonetic == "backspace") {
			ndxChar--;
			rayKatagana[ndxChar] =  "";
			rayRomaji[ndxChar] = "";
		} else {
			rayRomaji[ndxChar] = strPhonetic;
			if (strUnicode2 == "") {
				rayKatagana[ndxChar] = "%u" + strUnicode1;
			} else {
				rayKatagana[ndxChar] = "%u" + strUnicode1 + "%u" + strUnicode2;
			}
			ndxChar++;
		}
		displayKatagana();
	} // end of function

	function selectClear() {
		for (cnt1 = 0; cnt1 < rayKatagana.length; cnt1++) {
			rayRomaji[cnt1] = "";
			rayKatagana[cnt1] = "";
		}
		displayKatagana();
	} // end of function

	function toggleDisplay() {
		if (flgRomaji == 0) {
			flgRomaji = 1;
			document.idGrfx1.src = rayImg1[1].src;
			document.idGrfx2.src = rayImg2[1].src;
		} else if (flgRomaji == 1) {
			flgRomaji = 2;
			document.idGrfx1.src = rayImg1[2].src;
			document.idGrfx2.src = rayImg2[2].src;
		} else if (flgRomaji == 2) {
			flgRomaji = 0;
			document.idGrfx1.src = rayImg1[0].src;
			document.idGrfx2.src = rayImg2[0].src;
		}
		displayKatagana();
	} // end of function

	function shiftKeyboard(strKeyboard) {
		if (strKeyboard == "katakana") {
			showHideDiv("show", "idDiv1");
			showHideDiv("hide", "idDiv2");
		} else if (strKeyboard == "foreign") {
			showHideDiv("hide", "idDiv1");
			showHideDiv("show", "idDiv2");
		}
	} // end of function
